# $Revision: 1.3 $, $Date: 2003/10/03 16:23:25 $
Summary:	Utility for viewing and editing binary files
Summary(pl):	Narzdzie do przegldania i edycji plikw binarnych
Name:		fb
Version:	1.5
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://home.mho.net/jswaby/%{name}_tar.gz
# Source0-md5:	9dd94106da20bc5a2929c5e95a729106
URL:		http://home.mho.net/jswaby/fb.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fb is a utility for the viewing and editing of binary files. Files can
be viewed in binary, decimal, hexadecimal, and octal, and/or
characters. In addition to simple overwriting, a binary file may be
dumped as binary, hexadecimal, decimal, or octal numbers; edited with
one's favorite text editor; and then translated back into a binary
file.

%description -l pl
fb jest narzdziem do ogldania i edycji plikw binarnych. Pliki mog
by ogldane w postaci liczb systemu dwjkowego, dziesitnego,
szesnastkowego, semkowego, a take w postaci znakw ASCII. Oprcz
prostego nadpisywania, pliki binarne mog by zapisane do pliku w
dowolnej postaci tekstowej, przeedytowane edytorem tekstu, a nastpnie
z powrotem przetumaczone na plik binarny.

%prep
%setup -qc

%build
%{__make} %{name} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fb.spec,v $
Revision 1.3  2003/10/03 16:23:25  qboosh
- pass CC, cosmetics

Revision 1.2  2003/09/15 00:08:34  ankry
- formatting, cosmetics

Revision 1.1  2003/09/13 08:27:05  zagrodzki
- initial release
